# Step 1 taskflow

- [Accept task](https://docs.tasksource.io/api-documentation/step-1-taskflow/accept-task.md): As a developer i want to accept a task that has been assigned to me.
- [Reject task](https://docs.tasksource.io/api-documentation/step-1-taskflow/reject-task.md): As a developer i want to be able to reject a task.
- [Deadline reached](https://docs.tasksource.io/api-documentation/step-1-taskflow/deadline-reached.md): if the developer has not rejected or accepted the task within the deadline he will the task will be unassigned


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tasksource.io/api-documentation/step-1-taskflow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
